toolzerhub API Docs

List profile boards

List boards owned by a public Pinterest profile. Send bookmark to continue the list.

1 credit / requestBilled only on success
GET
/v2/pinterest/profiles/boards

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username_or_url*string

Pinterest username or full pinterest.com profile URL.

Length1 <= length
bookmark?string

Opaque pagination cursor from a previous response's bookmark field. Omit for the first page.

curl -X GET "https://example.com/v2/pinterest/profiles/boards?username_or_url=https%3A%2F%2Fwww.pinterest.com%2Fpinterest%2F" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "items": [      {        "id": "424605139808111760",        "url": "/pinterest/easy-summer-crafts-for-families/",        "pin_count": 78      }    ],    "bookmark": "LT4xMDEzMzgwNDIyMzQzNDM4NzkyfDEwfDE3MzkxMTA4MDMxMzA1MzkqR1FMKnw4ODNkOGU2ZjQ1OTJjYTI4OWJhZjg2ZjE1MjA3MDQyZTY2MDBkMmEwNDI0YTY2NjFhN2M4ZTA3OTFmNDJkOWUxfE5FV3w="  }}